#!/bin/sh
#======================================================================
# macOS shell script to build and install FlexDoc/XML Maven plugin
#======================================================================

#----------------------------------------------------------------------
# Specify the location of Apache Maven here
#----------------------------------------------------------------------
export M2_HOME="/Users/Shared/apache-maven-3.8.2"

#----------------------------------------------------------------------
# Change current directory to the parent of this script file
# (otherwise Maven won't find the POM file)
#----------------------------------------------------------------------
cd $(dirname $0)

#----------------------------------------------------------------------
# Compile and install FlexDoc/XML Maven Plugin
#----------------------------------------------------------------------
"$M2_HOME/bin/mvn" install