<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-06-20 10:22:16'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:binding'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Target Namespace URI';
		param.type='string';
		param.defaultValue.expr='findAncestor("wsdl:definitions").getAttrValue("targetNamespace")';
		param.hidden='true';
	}
	PARAM={
		param.name='$xmlName';
		param.description='Displayed XML name (qualified or local) of the binding';
		param.type='string';
		param.defaultValue.expr='toXMLName (getStringParam("$nsURI"), getAttrStringValue("name"))';
		param.fixed='true';
		param.hidden='true';
	}
	PARAM={
		param.name='$title';
		param.title='Definition\'s doc title';
		param.type='string';
		param.defaultValue.expr='\'Binding "\' + getParam("$xmlName") + \'"\'';
	}
	PARAM={
		param.name='$portType';
		param.title='The portType that this binding binds';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey (
  "wsdl-portTypes",
  getAttrQNameValue("type"),
  BooleanQuery (checkElementByKey (
    "main-xmls",
    getXMLDocument().id,
    getElementParam("$mainXML")
  ))
)';
	}
	PARAM={
		param.name='$usageCount';
		param.title='number of usage locations';
		param.description='number of locations where this binding is used (referenced)';
		param.type='integer';
		param.defaultValue.expr='countElementsByKey (
  "wsdl-definition-usage", contextElement.id
)';
		param.hidden='true';
	}
	PARAM={
		param.name='$resourceOutputDir';
		param.title='documentation resources directory';
		param.type='string';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='doc.wsdl.def';
		param.title='WSDL Definition';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.profile';
		param.title='Definition Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.usage';
		param.title='Usage Locations';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operationSummary';
		param.title='Operation Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operationSummary.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.operationSummary.for.binding';
		param.title='Bindings';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.source.for.binding';
		param.title='Bindings';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations';
		param.title='Operation Detail';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.for.binding';
		param.title='Bindings';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.profile';
		param.title='Profile';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input';
		param.title='Input';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.message';
		param.title='Message';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.message.parts';
		param.title='Parts';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.message.parts.description';
		param.title='Description';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.message.parts.description.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.message.parts.description.copyFrom.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.input.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output';
		param.title='Output';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.message';
		param.title='Message';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.message.parts';
		param.title='Parts';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.message.parts.description';
		param.title='Description';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.message.parts.description.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.message.parts.description.copyFrom.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.output.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault';
		param.title='Fault';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.message';
		param.title='Message';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.message.parts';
		param.title='Parts';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.message.parts.description';
		param.title='Description';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.message.parts.description.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.message.parts.description.copyFrom.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.fault.extensibility';
		param.title='Extensibility Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.source';
		param.title='XML Source';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.def.operations.separator';
		param.title='Separator';
		param.type='boolean';
		param.defaultValue='true';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.icons';
		param.title='Icons';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show.linkTitle.name';
		param.title='Name';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.columns';
		param.title='Generate page columns';
		param.type='boolean';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message';
		style.id='cs2';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Demo Excluded Message (Small)';
		style.id='cs3';
		text.font.size='9';
		text.font.style.italic='true';
		text.color.foreground='#FF0000';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs4';
	}
	CHAR_STYLE={
		style.name='Description (Small)';
		style.id='cs5';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 3';
		style.id='ps2';
		text.font.name='Times New Roman';
		text.font.size='22';
		par.margin.bottom='12';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps3';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 5';
		style.id='ps4';
		text.font.size='10';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='8';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 6';
		style.id='ps5';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
		text.font.style.italic='true';
		text.color.background='#CCCCFF';
		text.color.opaque='true';
		par.margin.top='7';
		par.margin.bottom='7';
		par.page.keepWithNext='true';
	}
	HR_STYLE={
		style.name='Detail Separator';
		style.id='hrs1';
		hr.lineStyle='dashed';
		hr.color='#999999';
		hr.margin.top='10';
		hr.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Superheading';
		style.id='ps6';
		text.font.name='Times New Roman';
		text.font.size='14';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Heading Note';
		style.id='cs6';
		text.font.size='8';
		text.font.style.bold='false';
	}
	CHAR_STYLE={
		style.name='Heading Note Separator';
		style.id='cs7';
		text.font.size='8';
		text.font.style.bold='false';
		text.spacing.letter='3';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs8';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono (Small)';
		style.id='cs9';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps7';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs10';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Page Number';
		style.id='cs11';
		text.font.size='9';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs12';
		text.font.name='Courier New';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Property Heading';
		style.id='ps8';
		text.font.size='8';
		text.font.style.bold='true';
		par.margin.bottom='3';
	}
	PAR_STYLE={
		style.name='Property Title';
		style.id='ps9';
		text.font.size='8';
		text.font.style.bold='true';
		par.lineHeight='11';
		par.margin.right='5.8';
	}
	PAR_STYLE={
		style.name='Property Value';
		style.id='ps10';
		text.font.name='Verdana';
		text.font.size='8';
		par.lineHeight='11';
	}
	PAR_STYLE={
		style.name='Summary Heading';
		style.id='ps11';
		text.font.size='12';
		text.font.style.bold='true';
	}
	CHAR_STYLE={
		style.name='Summary Item';
		style.id='cs13';
		text.font.name='Verdana';
		text.font.size='8';
		text.font.style.bold='true';
	}
	TABLE_STYLE={
		style.name='Summary Table';
		style.id='ts1';
		table.sizing='Relative';
		table.cell.padding.both='2.5';
	}
	TCELL_STYLE={
		style.name='Summary Table Cell';
		style.id='tcs1';
	}
	TROW_STYLE={
		style.name='Summary Table Header';
		style.id='trs1';
		trow.bkgr.color='#CCCCFF';
	}
	TABLE_STYLE={
		style.name='XML Source Box';
		style.id='ts2';
		table.cell.padding.both='3';
		table.bkgr.color='#F5F5F5';
		table.border.style='solid';
		table.border.color='#999999';
		table.border.css.render='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs8';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs10';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
						FMT={
							text.font.style.italic='true';
						}
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" &&
output.demoIncomplete && ! contextElement.exceedsDemoLimits'
		TEMPLATE_FILE='../../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='../../navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		DESCR='document heading in case of multi-file (framed) HTML documentation'
		COND='output.type == "document"'
		FMT={
			par.style='ps1';
		}
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		DESCR='section heading in case of single-file documentation'
		COND='output.type == "included"'
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.style='ps6';
				}
				<CTRLS>
					<TEXT_CTRL>
						TEXT='binding'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
			<CTRL_GROUP>
				FMT={
					par.style='ps2';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$xmlName")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER COLLAPSED='true'>
		DESCR='if this component is excluded from demo documentation'
		COND='contextElement.exceedsDemoLimits'
		BREAK_PARENT_BLOCK='when-executed'
		<BODY>
			<AREA_SEC>
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs2';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='Navigation Bar & bottom message'
				COND='output.type == "document"'
				TEMPLATE_FILE='../../navbar-bottom.tpl'
				PASSED_PARAMS={
					'$navbar_type','"component"';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Binding Profile / Extensibility Elements'
		COND='getBooleanParam("doc.wsdl.def.profile")
||
getBooleanParam("doc.wsdl.def.extensibility")'
		ON_OUTPUT_EXPR='thisContext.setVar ("has-profile", true)'
		TEMPLATE_FILE='bindingProfile.tpl'
		PASSED_PARAMS={
			'$extensibilityElements','getBooleanParam("doc.wsdl.def.extensibility")';
		}
	</TEMPLATE_CALL>
	<FOLDER COLLAPSED='true'>
		DESCR='Description'
		COND='getBooleanParam("doc.wsdl.def.description")'
		<HTARGET>
			COND='getBooleanParam("nav.bar")'
			HKEYS={
				'contextElement.id';
				'"desc"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Description'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<SS_CALL>
				SS_NAME='WSDL Documentation'
				FMT={
					text.style='cs4';
				}
			</SS_CALL>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		DESCR='Operation Summary'
		COND='getBooleanParam("doc.wsdl.def.operationSummary")
&&
getBooleanParam("doc.wsdl.def.operationSummary.for.binding")'
		INIT_EXPR='output.format.supportsPageRefs ?
{
  showPageColumn = false;

  getBooleanParam("page.columns") && output.generating ?
  {
    index = 0;
    repeat (BooleanQuery ({

      (el = iterator.itemAt (index).toElement()) != null ?
      {
        showPageColumn = findHyperTarget (Array (
          el.id, Array ("detail", "xml-source-location")
        )) != null;

        index = index + 1;
        ! showPageColumn

      } : false;
    }));
  };

  thisContext.setVar ("showPageColumn", showPageColumn)
}'
		STEP_EXPR='// find the corresponding portType operation
portTypeOperation = findElementByKey ("wsdl-bound-operations", contextElement.id);

setVar ("portTypeOperation", portTypeOperation);

// determine the operation type
setVar (
  "operationType",
  portTypeOperation.callStockSection ("Operation Type")
)'
		TARGET_ET='wsdl:operation%wsdl:tBindingOperation'
		SCOPE='simple-location-rules'
		RULES={
			'* -> wsdl:operation%wsdl:tBindingOperation';
		}
		SORTING='by-attr'
		SORTING_KEY={lpath='@name',ascending,case_sensitive}
		FMT={
			sec.outputStyle='table';
			table.style='ts1';
		}
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"operation-summary"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					trow.style='trs1';
					trow.page.keepTogether='true';
					trow.page.keepWithNext='true';
				}
				<AREA>
					<SPACER>
						FMT={
							spacer.height='11.7';
						}
					</SPACER>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Operation Summary'
								FMT={
									ctrl.size.width='474';
									ctrl.size.height='18';
									tcell.style='tcs1';
									par.style='ps11';
								}
							</TEXT_CTRL>
							<TEXT_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								TEXT='Page'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='18';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									text.style='cs11';
									text.font.style.bold='true';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				DESCR='non-abstract type'
				FMT={
					trow.page.keepTogether='true';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<PANEL>
								FMT={
									ctrl.size.width='111';
									ctrl.size.height='60';
									tcell.style='tcs1';
									tcell.align.vert='Center';
								}
								<AREA>
									<CTRL_GROUP>
										FMT={
											txtfl.separator.type='none';
											par.option.nowrap='true';
										}
										<CTRLS>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "request-response"
&&
getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_request-response.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "one-way"
&&
getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_one-way.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "solicit-response"
&&
getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_solicit-response.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "notification"
&&
getBooleanParam("show.icons")'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_notification.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3';
												}
											</IMAGE_CTRL>
											<DATA_CTRL>
												ATTR='name'
												FMT={
													text.style='cs13';
												}
												<DOC_HLINK>
													TITLE_EXPR='stockSection.getStringVar("operationType") + \' \' + "operation"
+
(getBooleanParam("show.linkTitle.name") ?
  \' “\' + getAttrValue("name") + \'”\' : "")'
													HKEYS={
														'contextElement.id';
														'Array ("detail", "xml-source-location")';
													}
												</DOC_HLINK>
											</DATA_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='operationDescription.tpl'
								PASSED_PARAMS={
									'$portTypeOperation','getElementVar ("portTypeOperation")';
									'$firstSentence','true';
								}
								FMT={
									ctrl.size.width='363';
									ctrl.size.height='60';
									tcell.style='tcs1';
									tcell.sizing='Relative';
									tcell.align.vert='Center';
									text.style='cs5';
								}
							</TEMPLATE_CALL_CTRL>
							<DATA_CTRL>
								COND='output.format.supportsPageRefs &&
thisContext.getBooleanVar ("showPageColumn")'
								DOCFIELD='page-htarget'
								FMT={
									ctrl.size.width='25.5';
									ctrl.size.height='60';
									ctrl.option.noHLinkFmt='true';
									tcell.style='tcs1';
									tcell.sizing='Minimal';
									tcell.width='25.5';
									tcell.align.horz='Center';
									tcell.align.vert='Top';
									text.style='cs11';
									text.hlink.fmt='none';
								}
								<DOC_HLINK>
									HKEYS={
										'contextElement.id';
										'Array ("detail", "xml-source-location")';
									}
								</DOC_HLINK>
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<FOLDER COLLAPSED='true'>
		DESCR='XML SOURCE'
		COND='getBooleanParam("doc.wsdl.def.source")
&&
getBooleanParam("doc.wsdl.def.source.for.binding")'
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"xml-source"';
			}
			NAME_EXPR='output.type == "document" ? "xml_source" : ""'
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XML Source'
							</TEXT_CTRL>
							<SEPARATOR>
								FMT={
									text.style='cs7';
								}
							</SEPARATOR>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/sourceNote.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									text.style='cs6';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				COND='getBooleanParam("doc.wsdl.def.source.box")'
				BREAK_PARENT_BLOCK='when-executed'
				FMT={
					sec.outputStyle='table';
					table.style='ts2';
					table.sizing='Relative';
					table.autofit='false';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEMPLATE_CALL_CTRL>
								TEMPLATE_FILE='../../xml/nodeSource.tpl'
								PASSED_PARAMS={
									'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
								}
								FMT={
									ctrl.size.width='499.5';
									ctrl.size.height='18';
								}
							</TEMPLATE_CALL_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xml/nodeSource.tpl'
				PASSED_PARAMS={
					'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.source.remove.wsdl.docs")';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<ELEMENT_ITER>
		DESCR='Operation Detail'
		COND='getBooleanParam("doc.wsdl.def.operations")
&&
getBooleanParam("doc.wsdl.def.operations.for.binding")'
		STEP_EXPR='// find the corresponding portType operation
portTypeOperation = findElementByKey ("wsdl-bound-operations", contextElement.id);

setVar ("portTypeOperation", portTypeOperation);

// determine the operation type
setVar (
  "operationType",
  portTypeOperation.callStockSection ("Operation Type")
)'
		TARGET_ET='wsdl:operation%wsdl:tBindingOperation'
		SCOPE='simple-location-rules'
		RULES={
			'* -> wsdl:operation%wsdl:tBindingOperation';
		}
		<HTARGET>
			HKEYS={
				'contextElement.id';
				'"operation-detail"';
			}
		</HTARGET>
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Operation Detail'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<AREA_SEC>
				FMT={
					par.style='ps4';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"detail"';
					}
				</HTARGET>
				<AREA>
					<CTRL_GROUP>
						FMT={
							txtfl.separator.type='none';
						}
						<CTRLS>
							<PANEL>
								COND='getBooleanParam("show.icons")'
								FMT={
									ctrl.size.width='114';
									ctrl.size.height='40.5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "request-response"'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_request-response.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3.5';
													image.padding.bottom='1.5';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "one-way"'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_one-way.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3.5';
													image.padding.bottom='1.5';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "solicit-response"'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_solicit-response.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3.5';
													image.padding.bottom='1.5';
												}
											</IMAGE_CTRL>
											<IMAGE_CTRL>
												COND='getVar("operationType") == "notification"'
												IMAGE_TYPE='file-image'
												FILE='../../images/operation_notification.png'
												OUTPUT_DIR_EXPR='getStringParam("$resourceOutputDir")'
												FMT={
													image.alignment='bottom';
													image.padding.right='3.5';
													image.padding.bottom='1.5';
												}
											</IMAGE_CTRL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</PANEL>
							<DATA_CTRL>
								ATTR='name'
							</DATA_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<SS_CALL>
				SS_NAME='Operation'
				PARAMS_EXPR='Array (getVar ("portTypeOperation"))'
				FMT={
					sec.indent.block='true';
				}
			</SS_CALL>
			<AREA_SEC>
				COND='! iterator.isLastItem
&&
getBooleanParam("doc.wsdl.def.operations.separator")'
				<AREA>
					<HR>
						FMT={
							hr.style='hrs1';
						}
					</HR>
				</AREA>
			</AREA_SEC>
		</BODY>
	</ELEMENT_ITER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='../../navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"component"';
		}
	</TEMPLATE_CALL>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='Extensibility Elements'
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps8';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='Extensibility Elements:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../misc/extensibilityElements.tpl'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='Operation'
		DESCR='param[0] - corresponding portType operation'
		MATCHING_ET='wsdl:operation%wsdl:tBindingOperation'
		<BODY>
			<AREA_SEC COLLAPSED='true'>
				DESCR='if this operation is excluded from demo documentation'
				COND='contextElement.exceedsDemoLimits'
				BREAK_PARENT_BLOCK='when-executed'
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='content omitted'
								FMT={
									text.style='cs3';
								}
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
			<TEMPLATE_CALL>
				DESCR='DESCRIPTION'
				COND='getBooleanParam("doc.wsdl.def.operations.description")'
				TEMPLATE_FILE='operationDescription.tpl'
				PASSED_PARAMS={
					'$portTypeOperation','stockSection.param.toElement()';
				}
				STYLE_OVERRIDES={
					'Mono','cs9';
				}
				FMT={
					sec.spacing.after='9';
					text.style='cs5';
				}
			</TEMPLATE_CALL>
			<FOLDER>
				DESCR='PROFILE'
				COND='getBooleanParam("doc.wsdl.def.operations.profile")'
				FMT={
					sec.outputStyle='table';
					table.cell.padding.both='0';
					table.border.style='none';
					table.page.keepTogether='true';
				}
				<BODY>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Operation Type:'
										FMT={
											ctrl.size.width='70.5';
											ctrl.size.height='80.3';
											tcell.sizing='Minimal';
											tcell.align.vert='Top';
											par.style='ps9';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='429';
											ctrl.size.height='80.3';
											par.style='ps10';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<SS_CALL_CTRL>
														SS_NAME='Operation Type'
														PASSED_ELEMENT_EXPR='stockSection.param.toElement()'
														PASSED_ELEMENT_MATCHING_ET='wsdl:operation%wsdl:tOperation'
													</SS_CALL_CTRL>
													<PANEL>
														COND='findHyperTarget (
  Array (
    contextElement.id,
    Array ("xml-source", "xml-source-location")
  )
) != null'
														FMT={
															ctrl.size.width='282.8';
															ctrl.size.height='59.3';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<SEPARATOR>
																		FMT={
																			txtfl.separator.type='text';
																			txtfl.separator.text='; ';
																		}
																	</SEPARATOR>
																	<TEXT_CTRL>
																		TEXT='see'
																	</TEXT_CTRL>
																	<TEXT_CTRL>
																		TEXT='XML source'
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'Array ("xml-source", "xml-source-location")';
																			}
																		</DOC_HLINK>
																	</TEXT_CTRL>
																	<PANEL>
																		COND='output.format.supportsPageRefs &&
getBooleanParam("page.refs")'
																		FMT={
																			ctrl.size.width='183.8';
																			ctrl.size.height='38.3';
																			txtfl.separator.type='none';
																		}
																		<AREA>
																			<CTRL_GROUP>
																				<CTRLS>
																					<SEPARATOR>
																						FMT={
																							txtfl.separator.type='nbsp';
																						}
																					</SEPARATOR>
																					<TEXT_CTRL>
																						TEXT='['
																						FMT={
																							text.style='cs12';
																						}
																					</TEXT_CTRL>
																					<DATA_CTRL>
																						DOCFIELD='page-htarget'
																						FMT={
																							ctrl.option.noHLinkFmt='true';
																							text.style='cs12';
																							text.hlink.fmt='none';
																						}
																						<DOC_HLINK>
																							HKEYS={
																								'contextElement.id';
																								'Array ("xml-source", "xml-source-location")';
																							}
																						</DOC_HLINK>
																					</DATA_CTRL>
																					<TEXT_CTRL>
																						TEXT=']'
																						FMT={
																							text.style='cs12';
																						}
																					</TEXT_CTRL>
																				</CTRLS>
																			</CTRL_GROUP>
																		</AREA>
																	</PANEL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Specified By:'
										FMT={
											ctrl.size.width='70.5';
											ctrl.size.height='98.3';
											tcell.sizing='Minimal';
											tcell.align.vert='Top';
											par.style='ps9';
										}
									</TEXT_CTRL>
									<PANEL>
										FMT={
											ctrl.size.width='429';
											ctrl.size.height='98.3';
											par.style='ps10';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
														MATCHING_ET='wsdl:operation%wsdl:tOperation'
														ATTR='name'
														FMT={
															text.style='cs9';
														}
														<DOC_HLINK>
															TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("WSDL Definition Link Title")
: ""'
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='147.8';
															ctrl.size.height='38.3';
															text.style='cs12';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
													<TEXT_CTRL>
														TEXT='in portType'
													</TEXT_CTRL>
													<SS_CALL_CTRL>
														SS_NAME='WSDL Definition Name'
														PASSED_ELEMENT_EXPR='getElementParam("$portType")'
														PASSED_ELEMENT_MATCHING_ET='wsdl:portType'
														FMT={
															text.style='cs9';
														}
													</SS_CALL_CTRL>
													<PANEL>
														COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  getElementParam("$portType").id,
  "detail"
)) != null'
														FMT={
															ctrl.size.width='146.3';
															ctrl.size.height='38.3';
															text.style='cs12';
															txtfl.separator.type='none';
														}
														<AREA>
															<CTRL_GROUP>
																<CTRLS>
																	<TEXT_CTRL>
																		TEXT='['
																	</TEXT_CTRL>
																	<DATA_CTRL>
																		DOCFIELD='page-htarget'
																		FMT={
																			ctrl.option.noHLinkFmt='true';
																			text.hlink.fmt='none';
																		}
																		<DOC_HLINK>
																			CONTEXT_ELEMENT_EXPR='getElementParam("$portType")'
																			MATCHING_ET='wsdl:portType'
																			HKEYS={
																				'contextElement.id';
																				'"detail"';
																			}
																		</DOC_HLINK>
																	</DATA_CTRL>
																	<TEXT_CTRL>
																		TEXT=']'
																	</TEXT_CTRL>
																</CTRLS>
															</CTRL_GROUP>
														</AREA>
													</PANEL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
			<SS_CALL>
				DESCR='EXTENSIBILITY ELEMENTS'
				COND='getBooleanParam("doc.wsdl.def.operations.extensibility")'
				SS_NAME='Extensibility Elements'
				FMT={
					sec.spacing.before='6';
				}
			</SS_CALL>
			<ELEMENT_ITER COLLAPSED='true'>
				DESCR='details of input / output / faults'
				CONTEXT_ELEMENT_EXPR='stockSection.param.toElement()'
				MATCHING_ET='wsdl:operation%wsdl:tOperation'
				TARGET_ETS={'wsdl:fault%wsdl:tFault';'wsdl:input%wsdl:tParam';'wsdl:output%wsdl:tParam'}
				SCOPE='simple-location-rules'
				RULES={
					'* -> (wsdl:fault%wsdl:tFault|wsdl:input%wsdl:tParam|wsdl:output%wsdl:tParam)';
				}
				<BODY>
					<FOLDER>
						DESCR='INPUT'
						COND='getBooleanParam("doc.wsdl.def.operations.input")'
						MATCHING_ET='wsdl:input%wsdl:tParam'
						INIT_EXPR='// input binding

name = getAttrValue("name");
nameFilter = (name != null) ? 
  BooleanQuery (hasAttrValue("name", name)) : null;

operationBinding = stockSection.contextElement;

stockSection.setVar (
  "inputBinding",
  operationBinding.findChild ("wsdl:input", nameFilter)
)'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Input'
											</TEXT_CTRL>
											<PANEL>
												COND='getAttrValue("name") != ""'
												FMT={
													ctrl.size.width='73.5';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														FMT={
															txtfl.separator.type='none';
														}
														<CTRLS>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
															<DATA_CTRL>
																ATTR='name'
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<SS_CALL>
								DESCR='input description'
								COND='getBooleanParam("doc.wsdl.def.operations.input.description")'
								SS_NAME='WSDL Documentation'
								FMT={
									sec.spacing.after='7';
									sec.indent.block='true';
									text.style='cs5';
								}
							</SS_CALL>
							<TEMPLATE_CALL>
								DESCR='message'
								COND='getBooleanParam("doc.wsdl.def.operations.input.message")'
								TEMPLATE_FILE='../message/messageRep.tpl'
								PASSED_PARAMS={
									'parts','getBooleanParam("doc.wsdl.def.operations.input.message.parts")';
									'parts.description','getBooleanParam("doc.wsdl.def.operations.input.message.parts.description")';
									'parts.description.copyFrom.dataType','getBooleanParam("doc.wsdl.def.operations.input.message.parts.description.copyFrom.dataType")';
								}
								FMT={
									sec.indent.block='true';
								}
							</TEMPLATE_CALL>
							<SS_CALL>
								COND='getBooleanParam("doc.wsdl.def.operations.input.extensibility")'
								CONTEXT_ELEMENT_EXPR='stockSection.getElementVar ("inputBinding")'
								MATCHING_ET='wsdl:input%wsdl:tBindingOperationMessage'
								SS_NAME='Extensibility Elements'
								FMT={
									sec.spacing.before='5';
									sec.indent.block='true';
								}
							</SS_CALL>
						</BODY>
					</FOLDER>
					<FOLDER COLLAPSED='true'>
						DESCR='OUTPUT'
						COND='getBooleanParam("doc.wsdl.def.operations.output")'
						MATCHING_ET='wsdl:output%wsdl:tParam'
						INIT_EXPR='// output binding

name = getAttrValue("name");
nameFilter = (name != null) ? 
  BooleanQuery (hasAttrValue("name", name)) : null;

operationBinding = stockSection.contextElement;

stockSection.setVar (
  "outputBinding",
  operationBinding.findChild ("wsdl:output", nameFilter)
)'
						BREAK_PARENT_BLOCK='when-executed'
						<BODY>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Output'
											</TEXT_CTRL>
											<PANEL>
												COND='getAttrValue("name") != ""'
												FMT={
													ctrl.size.width='73.5';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														FMT={
															txtfl.separator.type='none';
														}
														<CTRLS>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
															<DATA_CTRL>
																ATTR='name'
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<SS_CALL>
								DESCR='output description'
								COND='getBooleanParam("doc.wsdl.def.operations.output.description")'
								SS_NAME='WSDL Documentation'
								FMT={
									sec.spacing.after='7';
									sec.indent.block='true';
									text.style='cs5';
								}
							</SS_CALL>
							<TEMPLATE_CALL>
								DESCR='message'
								COND='getBooleanParam("doc.wsdl.def.operations.output.message")'
								TEMPLATE_FILE='../message/messageRep.tpl'
								PASSED_PARAMS={
									'parts','getBooleanParam("doc.wsdl.def.operations.output.message.parts")';
									'parts.description','getBooleanParam("doc.wsdl.def.operations.output.message.parts.description")';
									'parts.description.copyFrom.dataType','getBooleanParam("doc.wsdl.def.operations.output.message.parts.description.copyFrom.dataType")';
								}
								FMT={
									sec.indent.block='true';
								}
							</TEMPLATE_CALL>
							<SS_CALL>
								COND='getBooleanParam("doc.wsdl.def.operations.output.extensibility")'
								CONTEXT_ELEMENT_EXPR='stockSection.getElementVar ("outputBinding")'
								MATCHING_ET='wsdl:output%wsdl:tBindingOperationMessage'
								SS_NAME='Extensibility Elements'
								FMT={
									sec.spacing.before='5';
									sec.indent.block='true';
								}
							</SS_CALL>
						</BODY>
					</FOLDER>
					<FOLDER COLLAPSED='true'>
						DESCR='FAULT'
						COND='getBooleanParam("doc.wsdl.def.operations.fault")'
						MATCHING_ET='wsdl:fault%wsdl:tFault'
						INIT_EXPR='// fault binding

name = getAttrValue("name");
nameFilter = (name != null) ? 
  BooleanQuery (hasAttrValue("name", name)) : null;

operationBinding = stockSection.contextElement;

stockSection.setVar (
  "faultBinding",
  operationBinding.findChild ("wsdl:fault", nameFilter)
)'
						<BODY>
							<AREA_SEC>
								FMT={
									sec.outputStyle='pars';
									par.style='ps5';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Fault'
											</TEXT_CTRL>
											<PANEL>
												COND='getAttrValue("name") != ""'
												FMT={
													ctrl.size.width='73.5';
													ctrl.size.height='38.3';
												}
												<AREA>
													<CTRL_GROUP>
														FMT={
															txtfl.separator.type='none';
														}
														<CTRLS>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
															<DATA_CTRL>
																ATTR='name'
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT='"'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<SS_CALL>
								DESCR='fault description'
								COND='getBooleanParam("doc.wsdl.def.operations.fault.description")'
								SS_NAME='WSDL Documentation'
								FMT={
									sec.spacing.after='7';
									sec.indent.block='true';
									text.style='cs5';
								}
							</SS_CALL>
							<TEMPLATE_CALL>
								DESCR='message'
								COND='getBooleanParam("doc.wsdl.def.operations.fault.message")'
								TEMPLATE_FILE='../message/messageRep.tpl'
								PASSED_PARAMS={
									'parts','getBooleanParam("doc.wsdl.def.operations.fault.message.parts")';
									'parts.description','getBooleanParam("doc.wsdl.def.operations.fault.message.parts.description")';
									'parts.description.copyFrom.dataType','getBooleanParam("doc.wsdl.def.operations.fault.message.parts.description.copyFrom.dataType")';
								}
								FMT={
									sec.indent.block='true';
								}
							</TEMPLATE_CALL>
							<SS_CALL>
								COND='getBooleanParam("doc.wsdl.def.operations.fault.extensibility")'
								CONTEXT_ELEMENT_EXPR='stockSection.getElementVar ("faultBinding")'
								MATCHING_ET='wsdl:fault%wsdl:tBindingOperationFault'
								SS_NAME='Extensibility Elements'
								FMT={
									sec.spacing.before='5';
									sec.indent.block='true';
								}
							</SS_CALL>
						</BODY>
					</FOLDER>
				</BODY>
			</ELEMENT_ITER>
			<FOLDER>
				DESCR='XML SOURCE'
				COND='getBooleanParam("doc.wsdl.def.operations.source")'
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"xml-source"';
					}
					NAME_EXPR='output.type == "document" ? "xml_source" : ""'
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps5';
						}
						<AREA>
							<CTRL_GROUP>
								FMT={
									txtfl.separator.type='none';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='XML Source'
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											text.style='cs7';
											text.color.opaque='false';
										}
									</SEPARATOR>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../../xml/sourceNote.tpl'
										PASSED_PARAMS={
											'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.operations.source.remove.wsdl.docs")';
										}
										FMT={
											text.style='cs6';
											text.color.opaque='false';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<AREA_SEC>
						COND='getBooleanParam("doc.wsdl.def.operations.source.box")'
						BREAK_PARENT_BLOCK='when-executed'
						FMT={
							sec.outputStyle='table';
							sec.spacing.before='7';
							sec.spacing.after='8';
							table.style='ts2';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEMPLATE_CALL_CTRL>
										TEMPLATE_FILE='../../xml/nodeSource.tpl'
										PASSED_PARAMS={
											'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.operations.source.remove.wsdl.docs")';
										}
										FMT={
											ctrl.size.width='499.5';
											ctrl.size.height='18';
										}
									</TEMPLATE_CALL_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../../xml/nodeSource.tpl'
						PASSED_PARAMS={
							'$remove.wsdl.docs','getBooleanParam("doc.wsdl.def.operations.source.remove.wsdl.docs")';
						}
						FMT={
							sec.spacing.before='5';
							sec.spacing.after='8';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<AREA_SEC>
		SS_NAME='Operation Type'
		MATCHING_ET='wsdl:operation%wsdl:tOperation'
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='io = findChild("wsdl:input | wsdl:output");

io.instanceOf ("wsdl:input%wsdl:tParam") ?
  hasChild ("wsdl:output") ? "request-response" : "one-way"
:
io.instanceOf ("wsdl:output%wsdl:tParam") ?
  hasChild ("wsdl:input") ? "solicit-response" : "notification"
:
"???"'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Link Title'
		TEMPLATE_FILE='../misc/defLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Definition Name'
		DESCR='prints the qualified name of the WSDL definiton'
		TEMPLATE_FILE='../misc/defName.tpl'
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='WSDL Documentation'
		MATCHING_ET='wsdl:%tDocumented'
		TEMPLATE_FILE='../../doc/docOutput.tpl'
		PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='g8QIKMu98FLcr+yHUWfS?KgMfgRjpqHaZ4hfS7mrvNY'
</FLEXDOCXYZ_TEMPLATE>