<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2008-11-27 11:31:09'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='#DOCUMENTS'
TITLE_EXPR='title = "All Components";

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = "All Components";

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$scope';
		param.description='Specifies the scope passed to subtemplates (called from this template):
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"schema" - schema overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;schema';
		param.fixed='true';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue='All Components';
		param.fixed='true';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.grouping';
		param.title='Grouping';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='gen.grouping.comps';
		param.title='Components';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='namespace;file;allcomps';
	}
	PARAM={
		param.name='gen.allcomps';
		param.title='All Component Summary';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def';
		param.title='WSDL Definitions';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.service';
		param.title='Services';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.binding';
		param.title='Bindings';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.portType';
		param.title='Port Types';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.message';
		param.title='Messages';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp';
		param.title='XSD Components';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.element';
		param.title='Elements';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.complexType';
		param.title='Complex Types';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.simpleType';
		param.title='Simple Types';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.group';
		param.title='Element Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.attribute';
		param.title='Global Attributes';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.xsd.comp.attributeGroup';
		param.title='Attribute Groups';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps';
		param.title='All Component Summary';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs';
		param.title='WSDL Definition Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.for.services';
		param.title='Services';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.for.bindings';
		param.title='Bindings';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.for.portTypes';
		param.title='Port Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.for.messages';
		param.title='Messages';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.description';
		param.title='Description';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile';
		param.title='Definition Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile.portType';
		param.title='Port Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile.defined';
		param.title='Defined / XML Source';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.wsdl.defs.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps';
		param.title='XSD Component Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.elements';
		param.title='Elements';
		param.title.style.italic='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.elements.local';
		param.title='Local Elements';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='all;complexType;none';
		param.enum.displayValues='all;with complex type;none';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.complexTypes';
		param.title='Complex Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.simpleTypes';
		param.title='Simple Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.groups';
		param.title='Element Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.attributes';
		param.title='Global Attributes';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.for.attributeGroups';
		param.title='Attribute Groups';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile';
		param.title='Component Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.type';
		param.title='Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.content';
		param.title='Content';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.abstract';
		param.title='Abstract';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.block';
		param.title='Block';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.block.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.block.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.final';
		param.title='Final';
		param.group='true';
		param.type='enum';
		param.enum.values='any;non_default;none';
		param.enum.displayValues='any;non-default only;none';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.final.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.final.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.subst';
		param.title='Subst.Gr';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.subst.heads';
		param.title='List of group heads';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.subst.members';
		param.title='List of group members';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.nillable';
		param.title='Nillable';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.defined';
		param.title='Defined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.redefines';
		param.title='Redefines';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.redefined';
		param.title='Redefined';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.allcomps.xsd.comps.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.allcomps';
		param.title='All Components';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps2';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs3';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	CHAR_STYLE={
		style.name='Profile Item';
		style.id='cs4';
		text.font.name='Verdana';
		text.font.size='8';
	}
	PAR_STYLE={
		style.name='Profile Item Title';
		style.id='ps3';
		text.font.name='Arial';
		text.font.size='9';
		text.font.style.bold='true';
	}
	PAR_STYLE={
		style.name='Summary Heading (Level 2)';
		style.id='ps4';
		style.description='This style is used for those summaries, whose heading must get into Table of Contents. Otherwise, it is the same as the normal \'Summary Heading\' style.';
		text.font.size='12';
		text.font.style.bold='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<HTARGET>
	HKEYS={
		'"all-components-summary"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs3';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"all_components"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		FMT={
			par.style='ps1';
		}
		<AREA>
			<PAGE_BREAK>
				COND='getBooleanParam("page.start.allcomps")'
			</PAGE_BREAK>
			<CTRL_GROUP>
				<CTRLS>
					<TEXT_CTRL>
						TEXT='All Components'
					</TEXT_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='all WSDL definitions'
		FMT={
			sec.spacing.before='10';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='WSDL Definitions:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				FMT={
					sec.outputStyle='text-par';
					sec.indent.block='true';
					text.style='cs4';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<BODY>
					<AREA_SEC>
						DESCR='global attributes'
						COND='count = countElementsByLPath ("#DOCUMENT / wsdl:definitions / wsdl:service");
count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='services'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-service-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='global attributes'
						COND='count = countElementsByLPath ("#DOCUMENT / wsdl:definitions / wsdl:binding");
count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='bindings'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-binding-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='global attributes'
						COND='count = countElementsByLPath ("#DOCUMENT / wsdl:definitions / wsdl:portType");
count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='portTypes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-portType-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='global attributes'
						COND='count = countElementsByLPath ("#DOCUMENT / wsdl:definitions / wsdl:message");
count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='messages'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-message-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='all XSD components'
		FMT={
			sec.spacing.before='5';
		}
		<HEADER>
			<AREA_SEC>
				FMT={
					par.style='ps3';
				}
				<AREA>
					<CTRL_GROUP>
						<CTRLS>
							<TEXT_CTRL>
								TEXT='XSD Components:'
							</TEXT_CTRL>
						</CTRLS>
					</CTRL_GROUP>
				</AREA>
			</AREA_SEC>
		</HEADER>
		<BODY>
			<FOLDER>
				FMT={
					sec.outputStyle='text-par';
					sec.indent.block='true';
					text.style='cs4';
					txtfl.separator.type='text';
					txtfl.separator.text=', ';
				}
				<BODY>
					<AREA_SEC>
						DESCR='elements'
						COND='global_count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types /
       xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
       xs:element\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT /
       xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
       xs:element\',
      false
    )
  ),
  "xs:element"
);

local_count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types /
       xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
       descendant::xs:%localElement\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT /
       xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)] /
       descendant::xs:%localElement\',
      false
    )
  ),
  "xs:%localElement",
  BooleanQuery (! hasAttr ("ref")),
  null
);

global_count + local_count > 0 ? { 
  setVar ("global_count", global_count);
  setVar ("local_count", local_count);
  true 
} : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='elements'
										FMT={
											text.spacing.nbsp='true';
										}
										<DOC_HLINK>
											HKEYS={
												'"all-components"';
												'"element-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<TEXT_CTRL>
										TEXT='('
									</TEXT_CTRL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<PANEL>
										COND='findHyperTarget (
  Array (
    "all-components",
    "top-level-element-summary"
  )
) != null'
										FMT={
											ctrl.size.width='144.8';
											ctrl.size.height='38.3';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='top-level'
														<DOC_HLINK>
															HKEYS={
																'"all-components"';
																'"top-level-element-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='text';
															txtfl.separator.text=' / ';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														COND='findHyperTarget (
  Array (
    "all-components",
    "other-element-summary"
  )
) != null'
														TEXT='other'
														<DOC_HLINK>
															HKEYS={
																'"all-components"';
																'"other-element-summary"';
															}
														</DOC_HLINK>
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='none';
														}
													</SEPARATOR>
													<TEXT_CTRL>
														TEXT=';'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getVar("global_count").toInt() > 0'
										FMT={
											ctrl.size.width='146.3';
											ctrl.size.height='38.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='getVar("global_count")'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='global'
													</TEXT_CTRL>
													<SEPARATOR>
														FMT={
															txtfl.separator.type='nbtxt';
															txtfl.separator.text=' + ';
														}
													</SEPARATOR>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<PANEL>
										COND='getVar("local_count").toInt() > 0'
										FMT={
											ctrl.size.width='123';
											ctrl.size.height='38.3';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<DATA_CTRL>
														EXPR='getVar("local_count")'
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT='local'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
									<SEPARATOR>
										FMT={
											txtfl.separator.type='none';
										}
									</SEPARATOR>
									<TEXT_CTRL>
										TEXT=')'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='complexTypes'
						COND='count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule ("xs:schema -> xs:complexType", true),
    LocationRule ("xs:schema -> xs:redefine / xs:complexType", true)
  ),
  "xs:complexType"
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='complexTypes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-complexType-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='simpleTypes'
						COND='count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule ("xs:schema -> xs:simpleType", true),
    LocationRule ("xs:schema -> xs:redefine / xs:simpleType", true)
  ),
  "xs:simpleType"
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='simpleTypes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-simpleType-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='element groups'
						COND='count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule ("xs:schema -> xs:group", true),
    LocationRule ("xs:schema -> xs:redefine / xs:group", true)
  ),
  "xs:group"
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='element groups'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-group-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='global attributes'
						COND='count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule ("xs:schema -> xs:attribute", true)
  ),
  "xs:attribute"
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='global attributes'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-attribute-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
					<AREA_SEC>
						DESCR='attribute groups'
						COND='count = countElementsByLRules (
  Array (
    LocationRule (
      \'* -> #DOCUMENT / wsdl:definitions / wsdl:types / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule (
      \'* -> #DOCUMENT / xs:schema [checkElementsByKey ("documented-schemas", contextElement.id)]\',
      false
    ),
    LocationRule ("xs:schema -> xs:attributeGroup", true),
    LocationRule ("xs:schema -> xs:redefine / xs:attributeGroup", true)
  ),
  "xs:attributeGroup"
);

count > 0 ? { setVar ("count", count); true } : false'
						<AREA>
							<CTRL_GROUP>
								FMT={
									text.spacing.nbsp='true';
									txtfl.separator.type='nbsp';
								}
								<CTRLS>
									<TEXT_CTRL>
										TEXT='attribute groups'
										<DOC_HLINK>
											TITLE_EXPR='getBooleanParam("show.linkTitle") ? "see summary"'
											HKEYS={
												'"all-attributeGroup-summary"';
											}
										</DOC_HLINK>
									</TEXT_CTRL>
									<DATA_CTRL>
										EXPR='\'(\' + getVar("count") + \')\''
									</DATA_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='COMPONENT SUMMARY'
		COND='getBooleanParam("gen.allcomps")'
		<BODY>
			<FOLDER>
				DESCR='WSDL definition summaries'
				COND='getBooleanParam("doc.allcomps.wsdl.defs")'
				<BODY>
					<TEMPLATE_CALL>
						DESCR='services'
						COND='getBooleanParam("doc.allcomps.wsdl.defs.for.services")'
						TEMPLATE_FILE='wsdl/service/serviceSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.allcomps.wsdl.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.allcomps.wsdl.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.allcomps.wsdl.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.allcomps.wsdl.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.allcomps.wsdl.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.allcomps.wsdl.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.allcomps.wsdl.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.allcomps.wsdl.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-service-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='bindings'
						COND='getBooleanParam("doc.allcomps.wsdl.defs.for.bindings")'
						TEMPLATE_FILE='wsdl/binding/bindingSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.allcomps.wsdl.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.allcomps.wsdl.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.allcomps.wsdl.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.allcomps.wsdl.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.allcomps.wsdl.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.allcomps.wsdl.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.allcomps.wsdl.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.allcomps.wsdl.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-binding-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='port types'
						COND='getBooleanParam("doc.allcomps.wsdl.defs.for.portTypes")'
						TEMPLATE_FILE='wsdl/portType/portTypeSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.allcomps.wsdl.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.allcomps.wsdl.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.allcomps.wsdl.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.allcomps.wsdl.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.allcomps.wsdl.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.allcomps.wsdl.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.allcomps.wsdl.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.allcomps.wsdl.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-portType-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='messages'
						COND='getBooleanParam("doc.allcomps.wsdl.defs.for.messages")'
						TEMPLATE_FILE='wsdl/message/messageSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.allcomps.wsdl.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.allcomps.wsdl.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.allcomps.wsdl.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.allcomps.wsdl.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.allcomps.wsdl.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.allcomps.wsdl.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.allcomps.wsdl.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.allcomps.wsdl.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-message-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='XSD component summaries'
				COND='getBooleanParam("doc.allcomps.xsd.comps")'
				<BODY>
					<TEMPLATE_CALL>
						DESCR='elements'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.elements")'
						TEMPLATE_FILE='xsd/element/elementSummary.tpl'
						PASSED_PARAMS={
							'$hyperTargetFirstKey','"all-components"';
							'doc.frgm.xsd.comps.for.elements','getBooleanParam("doc.allcomps.xsd.comps.for.elements")';
							'doc.frgm.xsd.comps.for.elements.local','getStringParam("doc.allcomps.xsd.comps.for.elements.local")';
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='complexTypes'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.complexTypes")'
						TEMPLATE_FILE='xsd/type/complexTypeSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-complexType-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='simpleTypes'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.simpleTypes")'
						TEMPLATE_FILE='xsd/type/simpleTypeSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-simpleType-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='element groups'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.groups")'
						TEMPLATE_FILE='xsd/groups/groupSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-group-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='attributes'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.attributes")'
						TEMPLATE_FILE='xsd/attribute/attributeSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-attribute-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='attribute groups'
						COND='getBooleanParam("doc.allcomps.xsd.comps.for.attributeGroups")'
						TEMPLATE_FILE='xsd/groups/attributeGroupSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.xsd.comps.sorting','getBooleanParam("doc.allcomps.xsd.comps.sorting")';
							'doc.frgm.xsd.comps.annotation','getStringParam("doc.allcomps.xsd.comps.annotation")';
							'doc.frgm.xsd.comps.profile','getBooleanParam("doc.allcomps.xsd.comps.profile")';
							'doc.frgm.xsd.comps.profile.namespace','getBooleanParam("doc.allcomps.xsd.comps.profile.namespace")';
							'doc.frgm.xsd.comps.profile.type','getBooleanParam("doc.allcomps.xsd.comps.profile.type")';
							'doc.frgm.xsd.comps.profile.content','getBooleanParam("doc.allcomps.xsd.comps.profile.content")';
							'doc.frgm.xsd.comps.profile.abstract','getBooleanParam("doc.allcomps.xsd.comps.profile.abstract")';
							'doc.frgm.xsd.comps.profile.block','getStringParam("doc.allcomps.xsd.comps.profile.block")';
							'doc.frgm.xsd.comps.profile.block.value','getBooleanParam("doc.allcomps.xsd.comps.profile.block.value")';
							'doc.frgm.xsd.comps.profile.block.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.block.meaning")';
							'doc.frgm.xsd.comps.profile.final','getStringParam("doc.allcomps.xsd.comps.profile.final")';
							'doc.frgm.xsd.comps.profile.final.value','getBooleanParam("doc.allcomps.xsd.comps.profile.final.value")';
							'doc.frgm.xsd.comps.profile.final.meaning','getBooleanParam("doc.allcomps.xsd.comps.profile.final.meaning")';
							'doc.frgm.xsd.comps.profile.subst','getBooleanParam("doc.allcomps.xsd.comps.profile.subst")';
							'doc.frgm.xsd.comps.profile.subst.heads','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.heads")';
							'doc.frgm.xsd.comps.profile.subst.members','getBooleanParam("doc.allcomps.xsd.comps.profile.subst.members")';
							'doc.frgm.xsd.comps.profile.nillable','getBooleanParam("doc.allcomps.xsd.comps.profile.nillable")';
							'doc.frgm.xsd.comps.profile.defined','getBooleanParam("doc.allcomps.xsd.comps.profile.defined")';
							'doc.frgm.xsd.comps.profile.includes','getBooleanParam("doc.allcomps.xsd.comps.profile.includes")';
							'doc.frgm.xsd.comps.profile.redefines','getBooleanParam("doc.allcomps.xsd.comps.profile.redefines")';
							'doc.frgm.xsd.comps.profile.redefined','getBooleanParam("doc.allcomps.xsd.comps.profile.redefined")';
							'doc.frgm.xsd.comps.profile.used','getBooleanParam("doc.allcomps.xsd.comps.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps4';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'"all-attributeGroup-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<FOLDER>
		DESCR='COMPONENT DETAIL -- only in case of single-file documentation'
		COND='output.type == "included"
&&
hasParamValue("gen.grouping.comps", "allcomps")'
		<BODY>
			<FOLDER>
				DESCR='WSDL definition details'
				COND='getBooleanParam("gen.wsdl.def")'
				<BODY>
					<TEMPLATE_CALL>
						DESCR='services'
						COND='getBooleanParam("gen.wsdl.def.service")'
						TEMPLATE_FILE='wsdl/service/services.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='bindings'
						COND='getBooleanParam("gen.wsdl.def.binding")'
						TEMPLATE_FILE='wsdl/binding/bindings.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='portTypes'
						COND='getBooleanParam("gen.wsdl.def.portType")'
						TEMPLATE_FILE='wsdl/portType/portTypes.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='messages'
						COND='getBooleanParam("gen.wsdl.def.message")'
						TEMPLATE_FILE='wsdl/message/messages.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='XSD component details'
				COND='getBooleanParam("gen.xsd.comp")'
				<BODY>
					<TEMPLATE_CALL>
						DESCR='elements'
						COND='getBooleanParam("gen.xsd.comp.element")'
						TEMPLATE_FILE='xsd/element/elements.tpl'
						PASSED_PARAMS={
							'$nsURI','null';
						}
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='complexTypes'
						COND='getBooleanParam("gen.xsd.comp.complexType")'
						TEMPLATE_FILE='xsd/type/complexTypes.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='simpleTypes'
						COND='getBooleanParam("gen.xsd.comp.simpleType")'
						TEMPLATE_FILE='xsd/type/simpleTypes.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='groups'
						COND='getBooleanParam("gen.xsd.comp.group")'
						TEMPLATE_FILE='xsd/groups/groups.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='global attributes'
						COND='getBooleanParam("gen.xsd.comp.attribute")'
						TEMPLATE_FILE='xsd/attribute/attributes.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='attributeGroups'
						COND='getBooleanParam("gen.xsd.comp.attributeGroup")'
						TEMPLATE_FILE='xsd/groups/attributeGroups.tpl'
						FMT={
							sec.spacing.before='18';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"all_components"';
		}
	</TEMPLATE_CALL>
</ROOT>
CHECKSUM='wJUNLyP6s+S2OGjnasgb5vMWnJiFq9jfUPvASBw6Xt4'
</FLEXDOCXYZ_TEMPLATE>