<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-06-24 01:50:23'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:definitions'
TITLE_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title + " | " + parentTitle : title'
HTML_HEAD_EXPR='title = getStringParam("$title");

(parentTitle = getStringParam("windowTitle")) != null
  ? title = title + " | " + parentTitle;

\'<script type="text/javascript">
    window.onload = function() {
        parent.document.title="\' + encodeJScriptString (title) + \'";
    }
</script>\''
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$nsURI';
		param.title='Namespace URI';
		param.type='string';
		param.defaultValue.expr='getAttrStringValue("targetNamespace")';
		param.fixed='true';
	}
	PARAM={
		param.name='$scope';
		param.description='Specifies the scope passed to subtemplates (called from this template):
<ul>
<li>"any" - unspecified</li>
<li>"namespace" - namespace overview</li>
<li>"wsdl_file" - WSDL file overview</li>
</ul>';
		param.type='enum';
		param.enum.values='any;namespace;wsdl_file';
		param.defaultValue='wsdl_file';
	}
	PARAM={
		param.name='$title';
		param.type='string';
		param.defaultValue.expr='\'WSDL File "\' + 
getXMLDocument().getAttrStringValue("xmlName") +
\'"\'';
	}
	PARAM={
		param.name='$page.heading.left';
		param.title='Page Heading (on the left)';
		param.type='string';
		param.defaultValue.expr='getStringParam("$title")';
		param.fixed='true';
	}
	PARAM={
		param.name='windowTitle';
		param.title='Window Title';
		param.type='string';
		param.trimSpaces='true';
		param.collapseSpaces='true';
		param.noEmptyString='true';
	}
	PARAM={
		param.name='gen';
		param.title='Generate Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='gen.grouping';
		param.title='Grouping';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='gen.grouping.comps';
		param.title='Components';
		param.title.style.italic='true';
		param.type='enum';
		param.enum.values='namespace;file;allcomps';
	}
	PARAM={
		param.name='gen.wsdl.file';
		param.title='WSDL Files';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.file.overview';
		param.title='Overview';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.file.source';
		param.title='XML Source';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def';
		param.title='WSDL Definitions';
		param.title.style.bold='true';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.service';
		param.title='Services';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.binding';
		param.title='Bindings';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.portType';
		param.title='Port Types';
		param.type='boolean';
	}
	PARAM={
		param.name='gen.wsdl.def.message';
		param.title='Messages';
		param.type='boolean';
	}
	PARAM={
		param.name='doc';
		param.title='Details';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='doc.wsdl.file';
		param.title='WSDL File';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.file.overview';
		param.title='Overview';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.profile';
		param.title='WSDL File Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.profile.targetNamespace';
		param.title='Target Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.profile.types.schemas';
		param.title='Types / Schemas';
		param.type='enum';
		param.enum.values='list;summary;none';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.profile.defs';
		param.title='WSDL Definitions';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.profile.relatedWSDLs';
		param.title='Related WSDL Files';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.description';
		param.title='Description';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas';
		param.title='Embedded Schema Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.annotation';
		param.title='Annotation';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile';
		param.title='Schema Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.targetNamespace';
		param.title='Target Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.version';
		param.title='Version';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.components';
		param.title='Components';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.formDefault';
		param.title='Default NS-Qualified Form';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.blockDefault';
		param.title='Default Block Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.blockDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.blockDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.finalDefault';
		param.title='Default Final Attribute';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.finalDefault.value';
		param.title='Value';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.finalDefault.meaning';
		param.title='Meaning';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.schemas.profile.relatedSchemas';
		param.title='Related Schemas';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs';
		param.title='WSDL Definition Summary';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.for';
		param.title='Generate For';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.for.services';
		param.title='Services';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.for.bindings';
		param.title='Bindings';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.for.portTypes';
		param.title='Port Types';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.for.messages';
		param.title='Messages';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.sorting';
		param.title='Sorting';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.description';
		param.title='Description';
		param.type='enum';
		param.enum.values='first_sentence;full;none';
		param.enum.displayValues='first sentence;full;none';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile';
		param.title='Definition Profile';
		param.group='true';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile.namespace';
		param.title='Namespace';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile.portType';
		param.title='Port Type';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile.includes';
		param.title='Includes';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile.defined';
		param.title='Defined / XML Source';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.overview.defs.profile.used';
		param.title='Used';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.source';
		param.title='XML Source';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.file.source.join.overview';
		param.title='Join with Overview';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.source.box';
		param.title='Enclose in Box';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.source.remove.wsdl.docs';
		param.title='Remove <wsdl:documentation>';
		param.type='boolean';
	}
	PARAM={
		param.name='doc.wsdl.file.source.remove.xsd.anns';
		param.title='Remove <xs:annotation>';
		param.type='boolean';
	}
	PARAM={
		param.name='nav';
		param.title='Navigation';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='nav.bar';
		param.title='Navigation Bar';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.start';
		param.title='Start from new page';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='page.start.wsdl.file';
		param.title='WSDL File Overview';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Description';
		style.id='cs2';
	}
	PAR_STYLE={
		style.name='Detail Heading 1';
		style.id='ps1';
		text.font.name='Arial';
		text.font.size='16';
		text.font.style.bold='true';
		par.margin.top='10';
		par.margin.bottom='10';
	}
	PAR_STYLE={
		style.name='Detail Heading 4';
		style.id='ps2';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	PAR_STYLE={
		style.name='Detail Heading 4 (Level 2)';
		style.id='ps3';
		style.description='This style is used for those section, whose heading must get into Table of Contents. Otherwise, it is the same as the normal \'Detail Heading 4\' style.';
		text.font.size='12';
		text.font.style.bold='true';
		par.bkgr.opaque='true';
		par.bkgr.color='#CCCCFF';
		par.border.style='solid';
		par.border.color='#666666';
		par.margin.top='12';
		par.margin.bottom='8';
		par.padding.left='2';
		par.padding.right='2';
		par.padding.top='2';
		par.padding.bottom='2';
		par.page.keepWithNext='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs3';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps4';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Header Font';
		style.id='cs4';
		text.font.name='Arial';
		text.font.style.italic='true';
	}
	PAR_STYLE={
		style.name='Summary Heading (Level 2)';
		style.id='ps5';
		style.description='This style is used for those summaries, whose heading must get into Table of Contents. Otherwise, it is the same as the normal \'Summary Heading\' style.';
		text.font.size='12';
		text.font.style.bold='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs3';
}
<HTARGET>
	HKEYS={
		'contextElement.id';
		'"detail"';
	}
</HTARGET>
<HTARGET>
	HKEYS={
		'getXMLDocument().id';
		'"detail"';
	}
</HTARGET>
<PAGE_HEADER>
	<AREA_SEC>
		FMT={
			text.style='cs4';
		}
		<AREA>
			<CTRL_GROUP>
				FMT={
					par.border.bottom.style='solid';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='getStringParam("$page.heading.left")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</PAGE_HEADER>
<ROOT>
	<TEMPLATE_CALL>
		COND='output.type == "document" && output.demoIncomplete'
		TEMPLATE_FILE='../../demo-incomplete.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar'
		COND='output.type == "document" && getBooleanParam("nav.bar")'
		TEMPLATE_FILE='../../navbar.tpl'
		PASSED_PARAMS={
			'$navbar_type','"wsdl_file"';
			'$navbar_location','"header"';
		}
	</TEMPLATE_CALL>
	<AREA_SEC>
		FMT={
			par.style='ps1';
		}
		<AREA>
			<PAGE_BREAK>
				COND='getBooleanParam("page.start.wsdl.file")'
			</PAGE_BREAK>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getParam("$title")'
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<FOLDER>
		DESCR='WSDL FILE OVERVIEW'
		COND='getBooleanParam("gen.wsdl.file.overview")'
		<BODY>
			<TEMPLATE_CALL>
				COND='getBooleanParam("doc.wsdl.file.overview.profile")'
				TEMPLATE_FILE='wsdlProfile.tpl'
				PASSED_PARAMS={
					'$wsdlOverview','true';
					'doc.frgm.wsdl.files.profile.targetNamespace','getBooleanParam("doc.wsdl.file.overview.profile.targetNamespace")';
					'doc.frgm.wsdl.files.profile.types.schemas','"list"';
					'doc.frgm.wsdl.files.profile.defs','getBooleanParam("doc.wsdl.file.overview.profile.defs")';
					'doc.frgm.wsdl.files.profile.relatedWSDLs','getBooleanParam("doc.wsdl.file.overview.profile.relatedWSDLs")';
				}
				FMT={
					sec.spacing.before='10';
				}
			</TEMPLATE_CALL>
			<FOLDER COLLAPSED='true'>
				DESCR='Description'
				COND='getBooleanParam("doc.wsdl.file.overview.description")'
				<HTARGET>
					COND='getBooleanParam("nav.bar")'
					HKEYS={
						'contextElement.id';
						'"desc"';
					}
				</HTARGET>
				<HEADER>
					<AREA_SEC>
						FMT={
							par.style='ps2';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Description'
									</TEXT_CTRL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<TEMPLATE_CALL>
						TEMPLATE_FILE='../../doc/docOutput.tpl'
						PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
						FMT={
							text.style='cs2';
						}
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
			<TEMPLATE_CALL>
				DESCR='embedded schema summary'
				COND='getBooleanParam("doc.wsdl.file.overview.schemas")'
				TEMPLATE_FILE='../../xsd/schema/schemaSummary.tpl'
				PASSED_PARAMS={
					'doc.frgm.xsd.schemas.annotation','getStringParam("doc.wsdl.file.overview.schemas.annotation")';
					'doc.frgm.xsd.schemas.profile','getBooleanParam("doc.wsdl.file.overview.schemas.profile")';
					'doc.frgm.xsd.schemas.profile.targetNamespace','getBooleanParam("doc.wsdl.file.overview.schemas.profile.targetNamespace")';
					'doc.frgm.xsd.schemas.profile.version','getBooleanParam("doc.wsdl.file.overview.schemas.profile.version")';
					'doc.frgm.xsd.schemas.profile.components','getBooleanParam("doc.wsdl.file.overview.schemas.profile.components")';
					'doc.frgm.xsd.schemas.profile.formDefault','getBooleanParam("doc.wsdl.file.overview.schemas.profile.formDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault','getBooleanParam("doc.wsdl.file.overview.schemas.profile.blockDefault")';
					'doc.frgm.xsd.schemas.profile.blockDefault.value','getBooleanParam("doc.wsdl.file.overview.schemas.profile.blockDefault.value")';
					'doc.frgm.xsd.schemas.profile.blockDefault.meaning','getBooleanParam("doc.wsdl.file.overview.schemas.profile.blockDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.finalDefault','getBooleanParam("doc.wsdl.file.overview.schemas.profile.finalDefault")';
					'doc.frgm.xsd.schemas.profile.finalDefault.value','getBooleanParam("doc.wsdl.file.overview.schemas.profile.finalDefault.value")';
					'doc.frgm.xsd.schemas.profile.finalDefault.meaning','getBooleanParam("doc.wsdl.file.overview.schemas.profile.finalDefault.meaning")';
					'doc.frgm.xsd.schemas.profile.relatedSchemas','getBooleanParam("doc.wsdl.file.overview.schemas.profile.relatedSchemas")';
				}
				STYLE_OVERRIDES={
					'Summary Heading','ps5';
				}
				FMT={
					sec.spacing.before='10';
				}
				<HTARGET>
					HKEYS={
						'contextElement.id';
						'"wsdl-schema-summary"';
					}
				</HTARGET>
			</TEMPLATE_CALL>
			<FOLDER>
				DESCR='WSDL definition summary'
				COND='getBooleanParam("doc.wsdl.file.overview.defs")'
				FMT={
					sec.spacing.before='11.7';
				}
				<BODY>
					<TEMPLATE_CALL>
						DESCR='services'
						COND='getBooleanParam("doc.wsdl.file.overview.defs.for.services")'
						TEMPLATE_FILE='../service/serviceSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.wsdl.file.overview.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.wsdl.file.overview.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.wsdl.file.overview.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.wsdl.file.overview.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.wsdl.file.overview.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.wsdl.file.overview.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.wsdl.file.overview.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.wsdl.file.overview.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps5';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'contextElement.id';
								'"wsdl-service-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='bindings'
						COND='getBooleanParam("doc.wsdl.file.overview.defs.for.bindings")'
						TEMPLATE_FILE='../binding/bindingSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.wsdl.file.overview.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.wsdl.file.overview.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.wsdl.file.overview.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.wsdl.file.overview.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.wsdl.file.overview.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.wsdl.file.overview.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.wsdl.file.overview.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.wsdl.file.overview.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps5';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'contextElement.id';
								'"wsdl-binding-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='port types'
						COND='getBooleanParam("doc.wsdl.file.overview.defs.for.portTypes")'
						TEMPLATE_FILE='../portType/portTypeSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.wsdl.file.overview.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.wsdl.file.overview.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.wsdl.file.overview.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.wsdl.file.overview.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.wsdl.file.overview.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.wsdl.file.overview.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.wsdl.file.overview.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.wsdl.file.overview.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps5';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'contextElement.id';
								'"wsdl-portType-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
					<TEMPLATE_CALL>
						DESCR='messages'
						COND='getBooleanParam("doc.wsdl.file.overview.defs.for.messages")'
						TEMPLATE_FILE='../message/messageSummary.tpl'
						PASSED_PARAMS={
							'doc.frgm.wsdl.defs.sorting','getBooleanParam("doc.wsdl.file.overview.defs.sorting")';
							'doc.frgm.wsdl.defs.description','getStringParam("doc.wsdl.file.overview.defs.description")';
							'doc.frgm.wsdl.defs.profile','getBooleanParam("doc.wsdl.file.overview.defs.profile")';
							'doc.frgm.wsdl.defs.profile.namespace','getBooleanParam("doc.wsdl.file.overview.defs.profile.namespace")';
							'doc.frgm.wsdl.defs.profile.portType','getBooleanParam("doc.wsdl.file.overview.defs.profile.portType")';
							'doc.frgm.wsdl.defs.profile.includes','getBooleanParam("doc.wsdl.file.overview.defs.profile.includes")';
							'doc.frgm.wsdl.defs.profile.defined','getBooleanParam("doc.wsdl.file.overview.defs.profile.defined")';
							'doc.frgm.wsdl.defs.profile.used','getBooleanParam("doc.wsdl.file.overview.defs.profile.used")';
						}
						STYLE_OVERRIDES={
							'Summary Heading','ps5';
						}
						FMT={
							sec.spacing.before='10';
						}
						<HTARGET>
							HKEYS={
								'contextElement.id';
								'"wsdl-message-summary"';
							}
						</HTARGET>
					</TEMPLATE_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='WSDL FILE SOURCE -- when joined with overview'
		COND='getBooleanParam("gen.wsdl.file.source") &&
getBooleanParam("doc.wsdl.file.source.join.overview")'
		TEMPLATE_FILE='wsdl-source.tpl'
		STYLE_OVERRIDES={
			'Detail Heading 4','ps3';
		}
	</TEMPLATE_CALL>
	<FOLDER>
		DESCR='DEFINITION DETAIL -- when components are grouped by files (only in case of single-file documentation)'
		COND='output.type == "included"
&&
hasParamValue("gen.grouping.comps", "file")
&&
getBooleanParam("gen.wsdl.def")'
		<BODY>
			<TEMPLATE_CALL>
				DESCR='services'
				COND='getBooleanParam("gen.wsdl.def.service")'
				TEMPLATE_FILE='../service/services.tpl'
				FMT={
					sec.spacing.before='18';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='bindings'
				COND='getBooleanParam("gen.wsdl.def.binding")'
				TEMPLATE_FILE='../binding/bindings.tpl'
				FMT={
					sec.spacing.before='18';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='portTypes'
				COND='getBooleanParam("gen.wsdl.def.portType")'
				TEMPLATE_FILE='../portType/portTypes.tpl'
				FMT={
					sec.spacing.before='18';
				}
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				DESCR='messages'
				COND='getBooleanParam("gen.wsdl.def.message")'
				TEMPLATE_FILE='../message/messages.tpl'
				FMT={
					sec.spacing.before='18';
				}
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		DESCR='WSDL FILE SOURCE -- when separate from overview (only in case of single-file documentation)'
		COND='output.type == "included"
&&
getBooleanParam("gen.wsdl.file.source")
&&
! getBooleanParam("doc.wsdl.file.source.join.overview")'
		TEMPLATE_FILE='wsdl-source.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		DESCR='Navigation Bar & bottom message'
		COND='output.type == "document"'
		TEMPLATE_FILE='../../navbar-bottom.tpl'
		PASSED_PARAMS={
			'$navbar_type','"wsdl_file"';
		}
	</TEMPLATE_CALL>
</ROOT>
CHECKSUM='7q9Kv7bBoQiU4UTWoTCS5eALUf9OV8o++0uy23ilwzg'
</FLEXDOCXYZ_TEMPLATE>