<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2014-10-02 11:45:38'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='wsdl:part'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$mainXML';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey ("main-xmls", getXMLDocument().id)';
	}
	PARAM={
		param.name='$firstSentence';
		param.description='print only the first sentence of the description';
		param.type='boolean';
	}
	PARAM={
		param.name='$element';
		param.type='GOMElement';
		param.defaultValue.expr='getAttrStringValue("element") != ""
?
  findElementByKey (
    "xsd-global-elements",
    getAttrQNameValue("element"),
    BooleanQuery (
      checkElementByKey (
        "main-xmls",
        getXMLDocument().id,
        getElementParam("$mainXML")
      )
    )
  )
: null';
	}
	PARAM={
		param.name='$elementType';
		param.type='GOMElement';
		param.defaultValue.expr='findElementByKey (
  "xsd-element-types",
  getElementParam ("$element").id
)';
	}
	PARAM={
		param.name='$type';
		param.type='GOMElement';
		param.defaultValue.expr='getAttrStringValue("type") != ""
?
  findElementByKey (
    "xsd-types",
    getAttrQNameValue("type"),
    BooleanQuery (
      checkElementByKey (
        "main-xmls",
        getXMLDocument().id,
        getElementParam("$mainXML")
      )
    )
  )
: null';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc';
		param.title='Alternative Descriptions';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part';
		param.title='Message Part';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part.copyFrom';
		param.title='Copy From';
		param.title.style.italic='true';
		param.group='true';
	}
	PARAM={
		param.name='doc.wsdl.def.altDesc.part.copyFrom.dataType';
		param.title='Data Type';
		param.title.style.italic='true';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='page';
		param.title='Pagination';
		param.title.style.bold='true';
		param.group='true';
	}
	PARAM={
		param.name='page.refs';
		param.title='Generate page references';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	CHAR_STYLE={
		style.name='Mono';
		style.id='cs3';
		text.font.name='Courier New';
		text.font.size='9';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Page Reference';
		style.id='cs4';
		text.font.name='Courier New';
		text.font.size='8';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<SS_CALL>
		DESCR='part\'s own description'
		BREAK_PARENT_BLOCK='when-output'
		SS_NAME='WSDL Documentation'
	</SS_CALL>
	<FOLDER>
		DESCR='alternatively, copy description of the part\'s data type'
		COND='getBooleanParam("doc.wsdl.def.altDesc.part.copyFrom.dataType")'
		<BODY>
			<FOLDER>
				DESCR='in case of \'element\' attribute, copy annotation of the referenced XSD element or its type'
				COND='getAttrStringValue("element") != ""'
				BREAK_PARENT_BLOCK='when-output'
				<BODY>
					<FOLDER>
						DESCR='copy annotation of the referenced XSD element'
						BREAK_PARENT_BLOCK='when-output'
						<HEADER>
							COND='! getBooleanParam("$firstSentence")'
							<AREA_SEC>
								FMT={
									text.font.style.bold='true';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Annotation copied from element:'
											</TEXT_CTRL>
											<DATA_CTRL>
												ATTR='element'
												FMT={
													text.style='cs3';
												}
												<DOC_HLINK>
													CONTEXT_ELEMENT_EXPR='getElementParam ("$element")'
													MATCHING_ET='xs:element'
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
													HKEYS={
														'contextElement.id';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  getElementParam("$element").id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs4';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	CONTEXT_ELEMENT_EXPR='getElementParam ("$element")'
																	MATCHING_ET='xs:element'
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='XSD Annotation'
								PASSED_ELEMENT_EXPR='getElementParam ("$element")'
								PASSED_ELEMENT_MATCHING_ET='xs:element'
							</SS_CALL>
						</BODY>
					</FOLDER>
					<FOLDER>
						DESCR='if no output produced still, try to copy annotation of the element\'s type'
						CONTEXT_ELEMENT_EXPR='getElementParam ("$elementType")'
						MATCHING_ETS={'xs:%complexType';'xs:%simpleType'}
						<HEADER>
							COND='! getBooleanParam("$firstSentence")'
							<AREA_SEC>
								MATCHING_ETS={'xs:complexType';'xs:simpleType'}
								BREAK_PARENT_BLOCK='when-executed'
								FMT={
									text.font.style.bold='true';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Annotation copied from type:'
											</TEXT_CTRL>
											<SS_CALL_CTRL>
												SS_NAME='XSD Component Name'
												FMT={
													text.style='cs3';
													txtfl.separator.type='text';
													txtfl.separator.text=', ';
												}
											</SS_CALL_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  contextElement.id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs4';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
							<AREA_SEC>
								CONTEXT_ELEMENT_EXPR='sectionBlock.parentBlock.contextElement'
								MATCHING_ET='wsdl:part'
								FMT={
									text.font.style.bold='true';
								}
								<AREA>
									<CTRL_GROUP>
										<CTRLS>
											<TEXT_CTRL>
												TEXT='Annotation copied from type of element:'
												FMT={
													text.font.style.bold='true';
												}
											</TEXT_CTRL>
											<DATA_CTRL>
												ATTR='element'
												FMT={
													text.style='cs3';
												}
												<DOC_HLINK>
													CONTEXT_ELEMENT_EXPR='getElementParam ("$element")'
													MATCHING_ET='xs:element'
													TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
													HKEYS={
														'contextElement.id';
														'"detail"';
													}
												</DOC_HLINK>
											</DATA_CTRL>
											<PANEL>
												COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  getElementParam("$element").id,
  "detail"
)) != null'
												FMT={
													ctrl.size.width='145.5';
													ctrl.size.height='38.3';
													text.style='cs4';
													txtfl.separator.type='none';
												}
												<AREA>
													<CTRL_GROUP>
														<CTRLS>
															<TEXT_CTRL>
																TEXT='['
															</TEXT_CTRL>
															<DATA_CTRL>
																DOCFIELD='page-htarget'
																FMT={
																	ctrl.option.noHLinkFmt='true';
																	text.hlink.fmt='none';
																}
																<DOC_HLINK>
																	CONTEXT_ELEMENT_EXPR='getElementParam ("$element")'
																	MATCHING_ET='xs:element'
																	HKEYS={
																		'contextElement.id';
																		'"detail"';
																	}
																</DOC_HLINK>
															</DATA_CTRL>
															<TEXT_CTRL>
																TEXT=']'
															</TEXT_CTRL>
														</CTRLS>
													</CTRL_GROUP>
												</AREA>
											</PANEL>
										</CTRLS>
									</CTRL_GROUP>
								</AREA>
							</AREA_SEC>
						</HEADER>
						<BODY>
							<SS_CALL>
								SS_NAME='XSD Annotation'
							</SS_CALL>
						</BODY>
					</FOLDER>
				</BODY>
			</FOLDER>
			<FOLDER>
				DESCR='in case of \'type\' attribute, copy annotation of the referenced XSD type'
				COND='getAttrStringValue("type") != ""'
				FMT={
					sec.spacing.before='7';
				}
				<HEADER>
					COND='! getBooleanParam("$firstSentence")'
					<AREA_SEC>
						FMT={
							text.font.style.bold='true';
						}
						<AREA>
							<CTRL_GROUP>
								<CTRLS>
									<TEXT_CTRL>
										TEXT='Annotation copied from type:'
									</TEXT_CTRL>
									<DATA_CTRL>
										ATTR='type'
										FMT={
											text.style='cs3';
										}
										<DOC_HLINK>
											CONTEXT_ELEMENT_EXPR='getElementParam ("$type")'
											MATCHING_ETS={'xs:complexType';'xs:simpleType'}
											TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("XSD Component Link Title")'
											HKEYS={
												'contextElement.id';
												'"detail"';
											}
										</DOC_HLINK>
									</DATA_CTRL>
									<PANEL>
										COND='output.format.supportsPageRefs
&&
getBooleanParam("page.refs")
&&
findHyperTarget (Array (
  getElementParam("$type").id,
  "detail"
)) != null'
										FMT={
											ctrl.size.width='145.5';
											ctrl.size.height='38.3';
											text.style='cs4';
											txtfl.separator.type='none';
										}
										<AREA>
											<CTRL_GROUP>
												<CTRLS>
													<TEXT_CTRL>
														TEXT='['
													</TEXT_CTRL>
													<DATA_CTRL>
														DOCFIELD='page-htarget'
														FMT={
															ctrl.option.noHLinkFmt='true';
															text.hlink.fmt='none';
														}
														<DOC_HLINK>
															CONTEXT_ELEMENT_EXPR='getElementParam ("$type")'
															MATCHING_ETS={'xs:complexType';'xs:simpleType'}
															HKEYS={
																'contextElement.id';
																'"detail"';
															}
														</DOC_HLINK>
													</DATA_CTRL>
													<TEXT_CTRL>
														TEXT=']'
													</TEXT_CTRL>
												</CTRLS>
											</CTRL_GROUP>
										</AREA>
									</PANEL>
								</CTRLS>
							</CTRL_GROUP>
						</AREA>
					</AREA_SEC>
				</HEADER>
				<BODY>
					<SS_CALL>
						SS_NAME='XSD Annotation'
						PASSED_ELEMENT_EXPR='getElementParam ("$type")'
						PASSED_ELEMENT_MATCHING_ETS={'xs:complexType';'xs:simpleType'}
					</SS_CALL>
				</BODY>
			</FOLDER>
		</BODY>
	</FOLDER>
</ROOT>
<STOCK_SECTIONS>
	<FOLDER>
		SS_NAME='WSDL Documentation'
		MATCHING_ET='wsdl:%tDocumented'
		<BODY>
			<TEMPLATE_CALL>
				COND='getBooleanParam("$firstSentence")'
				BREAK_PARENT_BLOCK='when-executed'
				TEMPLATE_FILE='../misc/firstSentence.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../doc/docOutput.tpl'
				PASSED_ROOT_ELEMENT_EXPR='findChild("wsdl:documentation")'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<FOLDER>
		SS_NAME='XSD Annotation'
		MATCHING_ET='xs:%annotated'
		<BODY>
			<TEMPLATE_CALL>
				COND='getBooleanParam("$firstSentence")'
				BREAK_PARENT_BLOCK='when-executed'
				TEMPLATE_FILE='../../xsd/ann/firstSentence.tpl'
			</TEMPLATE_CALL>
			<TEMPLATE_CALL>
				TEMPLATE_FILE='../../xsd/ann/annotation.tpl'
			</TEMPLATE_CALL>
		</BODY>
	</FOLDER>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Link Title'
		TEMPLATE_FILE='../../xsd/component/componentLinkTitle.tpl'
	</TEMPLATE_CALL>
	<TEMPLATE_CALL>
		SS_NAME='XSD Component Name'
		DESCR='prints the qualified name of any global schema component or local element (passed as the stock-section context element)'
		TEMPLATE_FILE='../../xsd/component/componentName.tpl'
		PASSED_PARAMS={
			'$targetFrame','"detailFrame"';
		}
		FMT={
			sec.outputStyle='text-par';
		}
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='svGyfG?UCe2r9pCenGUnycqGMXhTVsp34nt5cwCciag'
</FLEXDOCXYZ_TEMPLATE>