<FLEXDOCXYZ_TEMPLATE VER='1.23'>
CREATED='2012-07-01 05:43:35'
LAST_UPDATE='2021-11-28 13:49:11'
DESIGNER_TOOL='FlexDoc.XYZ SDK 1.x'
DESIGNER_LICENSE_TYPE='Filigris Works Team'
APP_ID='flexdoc-xml-wsdldoc'
APP_NAME='FlexDoc/XML WSDLDoc'
APP_VER='1.2.5'
APP_AUTHOR='Copyright © 2012-2021 Filigris Works, Leonid Rudy Softwareprodukte. All rights reserved.'
TEMPLATE_TYPE='DocumentTemplate'
DSM_TYPE_ID='wsdldoc'
ROOT_ET='xs:schema'
<TEMPLATE_PARAMS>
	PARAM={
		param.name='$targetFrame';
		param.type='string';
	}
	PARAM={
		param.name='$showLocation';
		param.type='boolean';
	}
	PARAM={
		param.name='show';
		param.title='Show';
		param.title.style.bold='true';
		param.group='true';
		param.group.defaultState='expanded';
	}
	PARAM={
		param.name='show.linkTitle';
		param.title='Link Titles (Tooltips)';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation';
		param.title='File Locations';
		param.group='true';
	}
	PARAM={
		param.name='show.fileLocation.relative';
		param.title='Relative Path';
		param.type='boolean';
	}
	PARAM={
		param.name='show.fileLocation.hyperlink';
		param.title='Hyperlink';
		param.type='boolean';
	}
</TEMPLATE_PARAMS>
<STYLES>
	CHAR_STYLE={
		style.name='Default Paragraph Font';
		style.id='cs1';
		style.default='true';
	}
	CHAR_STYLE={
		style.name='Hyperlink';
		style.id='cs2';
		text.decor.underline='true';
		text.color.foreground='#0000FF';
	}
	PAR_STYLE={
		style.name='Normal';
		style.id='ps1';
		style.default='true';
	}
</STYLES>
FMT={
	doc.lengthUnits='pt';
	doc.hlink.style.link='cs2';
}
<ROOT>
	<AREA_SEC>
		COND='hasServiceAttr("embedded")'
		BREAK_PARENT_BLOCK='when-executed'
		<AREA>
			<CTRL_GROUP>
				FMT={
					txtfl.separator.type='space';
				}
				<CTRLS>
					<DATA_CTRL>
						EXPR='"Schema" + getServiceAttr("embeddedSchemaNo")'
						<DOC_HLINK>
							TITLE_EXPR='getBooleanParam("show.linkTitle") ? 
  callStockSection("Schema Link Title")'
							TARGET_FRAME_EXPR='getStringParam("$targetFrame")'
							HKEYS={
								'contextElement.id';
								'Array ("detail", "xml-source")';
							}
						</DOC_HLINK>
					</DATA_CTRL>
					<TEXT_CTRL>
						TEXT='in'
					</TEXT_CTRL>
					<TEMPLATE_CALL_CTRL>
						TEMPLATE_FILE='../../wsdl/file/wsdlName.tpl'
						PASSED_ROOT_ELEMENT_EXPR='findAncestor ("wsdl:definitions")'
					</TEMPLATE_CALL_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		COND='getBooleanParam("$showLocation")'
		CONTEXT_ELEMENT_EXPR='getXMLDocument()'
		MATCHING_ET='#DOCUMENT'
		BREAK_PARENT_BLOCK='when-executed'
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='uri = getAttrStringValue("xmlURI");

getBooleanParam("show.fileLocation.relative")
 ? makeRelativePath (uri, mainContext.output.dir) : uri'
						<URL_HLINK>
							COND='getBooleanParam("show.fileLocation.hyperlink")'
							TARGET_FRAME_EXPR='"_blank"'
							URL_EXPR='uri = getAttrStringValue("xmlURI");

getBooleanParam("show.fileLocation.relative")
 ? makeRelativePath (uri, output.dir, true) : toURL (uri)'
						</URL_HLINK>
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
	<AREA_SEC>
		<AREA>
			<CTRL_GROUP>
				<CTRLS>
					<DATA_CTRL>
						EXPR='getXMLDocument().getAttrStringValue("xmlName")'
						<DOC_HLINK>
							TITLE_EXPR='getBooleanParam("show.linkTitle") ?
  callStockSection("Schema Link Title")'
							TARGET_FRAME_EXPR='getStringParam("$targetFrame")'
							HKEYS={
								'contextElement.id';
								'Array ("detail", "xml-source")';
							}
						</DOC_HLINK>
					</DATA_CTRL>
				</CTRLS>
			</CTRL_GROUP>
		</AREA>
	</AREA_SEC>
</ROOT>
<STOCK_SECTIONS>
	<TEMPLATE_CALL>
		SS_NAME='Schema Link Title'
		MATCHING_ET='xs:schema'
		TEMPLATE_FILE='schemaLinkTitle.tpl'
	</TEMPLATE_CALL>
</STOCK_SECTIONS>
CHECKSUM='CBNaN6wV7h3xvV+Ypvy9lve?KJBckKPNKe89wfR6dL8'
</FLEXDOCXYZ_TEMPLATE>